Rc Advanced Verification
curl --request GET \
--url https://production.deepvue.tech/v1/verification/rc-advanced \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/rc-advanced"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/rc-advanced', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/rc-advanced",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/rc-advanced"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/rc-advanced")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/rc-advanced")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738007863555,
"transaction_id": "7c71390513b348eca6c5164a8a313844",
"sub_code": "SUCCESS",
"message": "RC Verified Successfully.",
"data": {
"rc_number": "MH02BY2727",
"registration_date": "2010-03-30",
"owner_name": "M/S ARBAAZ KHAN PRODUCTION P LTD",
"father_name": "NOT APPLICABLE",
"present_address": "1-2 CORAL REEF CHS LTD 55 CHIMBAI, RD BANDRA W, MUMBAI, , Maharashtra, 400050",
"permanent_address": "1-2 CORAL REEF CHS LTD 55 CHIMBAI, RD BANDRA W, MUMBAI, , Maharashtra, 400050",
"mobile_number": "",
"vehicle_category": "LMV",
"vehicle_chasi_number": "SALLMAM23AA314132",
"vehicle_engine_number": "0406774368DT",
"maker_description": "JAGUAR LAND ROVER INDIA LIMITED",
"maker_model": "RANGE ROVER SPORTS 3.6 TD V8",
"body_type": "SALOON",
"fuel_type": "DIESEL",
"color": "A WHITE",
"fit_up_to": "2025-03-29",
"financer": "HDFC BANK LTD",
"financed": true,
"insurance_company": "Tata AIG General Insurance Co. Ltd.",
"insurance_policy_number": "62035646240000",
"insurance_upto": "2025-10-10",
"manufacturing_date": "3/2009",
"manufacturing_date_formatted": "2009-03",
"registered_at": "MUMBAI (WEST)",
"latest_by": "2025-01-28",
"rc_status": "ACTIVE"
}
}
KYC
Vehicle RC-Advanced
The Vehicle Registration Verification API helps to establish a link between the vehicle and its owner, thereby minimizing the potential for fraud. Alongside vehicle basic details, this API also provides vehicle insurer details and many more.
GET
/
v1
/
verification
/
rc-advanced
Rc Advanced Verification
curl --request GET \
--url https://production.deepvue.tech/v1/verification/rc-advanced \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/rc-advanced"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/rc-advanced', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/rc-advanced",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/rc-advanced"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/rc-advanced")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/rc-advanced")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738007863555,
"transaction_id": "7c71390513b348eca6c5164a8a313844",
"sub_code": "SUCCESS",
"message": "RC Verified Successfully.",
"data": {
"rc_number": "MH02BY2727",
"registration_date": "2010-03-30",
"owner_name": "M/S ARBAAZ KHAN PRODUCTION P LTD",
"father_name": "NOT APPLICABLE",
"present_address": "1-2 CORAL REEF CHS LTD 55 CHIMBAI, RD BANDRA W, MUMBAI, , Maharashtra, 400050",
"permanent_address": "1-2 CORAL REEF CHS LTD 55 CHIMBAI, RD BANDRA W, MUMBAI, , Maharashtra, 400050",
"mobile_number": "",
"vehicle_category": "LMV",
"vehicle_chasi_number": "SALLMAM23AA314132",
"vehicle_engine_number": "0406774368DT",
"maker_description": "JAGUAR LAND ROVER INDIA LIMITED",
"maker_model": "RANGE ROVER SPORTS 3.6 TD V8",
"body_type": "SALOON",
"fuel_type": "DIESEL",
"color": "A WHITE",
"fit_up_to": "2025-03-29",
"financer": "HDFC BANK LTD",
"financed": true,
"insurance_company": "Tata AIG General Insurance Co. Ltd.",
"insurance_policy_number": "62035646240000",
"insurance_upto": "2025-10-10",
"manufacturing_date": "3/2009",
"manufacturing_date_formatted": "2009-03",
"registered_at": "MUMBAI (WEST)",
"latest_by": "2025-01-28",
"rc_status": "ACTIVE"
}
}
Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
The rc_number query parameter is used to specify the RC number for advanced verification.